Skip to main content
POST
/
v1
/
admin
/
relationships
/
people
Create person
curl --request POST \
  --url https://{operatorDomain}/v1/admin/relationships/people \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "givenName": "<string>",
  "familyName": "<string>",
  "displayName": "<string>",
  "primaryEmail": "jsmith@example.com",
  "primaryPhone": "<string>",
  "organizationId": "<string>"
}
'
{
  "id": "pers_01h...",
  "givenName": "<string>",
  "familyName": "<string>",
  "displayName": "<string>",
  "primaryEmail": "jsmith@example.com",
  "primaryPhone": "<string>",
  "organizationId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
givenName
string
familyName
string
displayName
string
primaryEmail
string<email>
primaryPhone
string
organizationId
string | null

Response

201 - application/json

Created person

id
string
required
Example:

"pers_01h..."

givenName
string
familyName
string
displayName
string
primaryEmail
string<email>
primaryPhone
string
organizationId
string | null
createdAt
string<date-time>